| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Digikam::DSelectionItem Class Reference
Inheritance diagram for Digikam::DSelectionItem:

## Public Types
enum | Intersects { None , Top , TopRight , Right , BottomRight , Bottom , BottomLeft , Left , TopLeft , Move }

## Public Member Functions
| DSelectionItem (const QRectF &rect)
QRectF | boundingRect () const override
QPointF | fixTranslation (QPointF dp) const
Intersects | intersects (const QPointF &point)
void | paint (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) override
QRectF | rect () const
void | saveZoom (qreal zoom)
void | setMaxBottom (qreal maxBottom)
void | setMaxRight (qreal maxRight)
void | setRect (const QRectF &rect)